Package org.springframework.security.cas.authentication

# Interface ServiceAuthenticationDetails

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `ServiceAuthenticationDetails`

public interface ServiceAuthenticationDetails extends Serializable
In order for the `CasAuthenticationProvider` to provide the correct service url to authenticate the ticket, the returned value of `Authentication.getDetails()` should implement this interface when tickets can be sent to any URL rather than only `ServiceProperties.getService()`.

See Also:
  - `ServiceAuthenticationDetailsSource`

## Method Summary

Modifier and Type
Method
Description
`String`
`getServiceUrl()`
Gets the absolute service url (i.e.

## Method Details

### getServiceUrl

String getServiceUrl()
Gets the absolute service url (i.e. https://example.com/service/).

Returns:
  the service url. Cannot be `null`.